uart_register_driver
Prev | Chapter 23. 16x50 UART Driver | Next

## Name

uart_register_driver — register a driver with the uart core layer

## Synopsis

`int uart_register_driver (` | struct uart_driver * | drv`)`;

## Arguments

`drv`

  low level driver structure

## Description

Register a uart driver with the core driver. We in turn register with the tty layer, and initialise the core driver per-port state.

We have a proc file in /proc/tty/driver which is named after the normal driver.

drv->port should be NULL, and the per-port structures should be registered using uart_add_one_port after this call has succeeded.

Prev | Up | Next
uart_get_divisor | Home | uart_unregister_driver